Subject: [pim] Should BSRs run elections per-scope or per-zone?

From: "David McWalter" <[email-masked]>
Date: Mon, 12 Jun 2006 14:14:20 +0100

Folks,

Stig and I have been discussing behavior of PIM-BSR at zone boundaries.

We do not think there's a requirement for each zone border router (ZBR) to run scoped BSR elections in more than one zone for each scope.

Anyone have views on this?  Especially any folks whose BSR implementations will handle VPNs and zone boundaries.

Thanks,
Dave McW.

_Background_
RFC 4007 section 5 defines that a zone boundary can cut through a node.
http://www.ietf.org/rfc/rfc4007.txt

PIM-BSR section 1.3 defines boundary behavior for BSR.
http://www1.tools.ietf.org/wg/pim/draft-ietf-pim-sm-bsr/draft-ietf-pim-sm-bsr-08.txt

Taken together, this implies that a ZBR could run scoped BSR elections independently in two or more zones at a single scope, and could be elected BSR in any subset of the zones at each scope.  This might be hard to describe and manage.

For simplicity we'd like to rule this out, and have each ZBR be a Candidate-BSR and run the election in only one zone for each scope.  So the BSR function at a node runs 'in' only one of the zones (for each scope) at the node.  That zone would be determined by configuration or an implementation-specific method.  Scoped BSR election messages for other zones at this scope would be discarded at the zone boundary as the spec already says, so data about them would not be available in the BSR MIB at this node.

We'll define BSR and its MIB to support extensions to full multi-zone support, but let's start simple unless someone can see a  requirement.

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim